Bug 1478624 - [F26 regression] Mate desktop no longer locks screen after returning from suspend
[F26 regression] Mate desktop no longer locks screen after returning from sus...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mate-desktop (Show other bugs)
26
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-05 04:46 EDT by Dmitry Tantsur
Modified: 2018-05-29 08:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 08:26:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mate-screensaver debug output (16.32 KB, text/plain)
2017-08-29 10:01 EDT, Matthias Saou
no flags Details

  None (edit)
Description Dmitry Tantsur 2017-08-05 04:46:09 EDT
Hi! After upgrade to F26, my MATE desktop no longer locks itself after going to suspend (by closing the lid of my ThinkPad T460s). The configuration seems correct:

[.]$ gsettings get org.mate.power-manager lock-suspend 
true
[.]$ gsettings get org.mate.power-manager lock-use-screensaver
true
[.]$ gsettings get org.mate.power-manager lock-blank-screen
true
[.]$ gsettings get org.mate.power-manager lock-hibernate
true

I'm not sure what to do, as now I cannot comply with any reasonable security regulations, and probably should not use suspend at all.
Comment 1 Dmitry Tantsur 2017-08-05 04:48:53 EDT
Update: the problem does not exhibit itself, if I either lock the screen before closing the lid or use "Suspend" button in the MATE menu. So it may be related to how closing the lid is processed.
Comment 2 Wolfgang Ulbrich 2017-08-05 05:32:13 EDT
I do not use/have such stylish Lenovo hardware, only a MSI fx700, and here the screen locks after suspend to ram triggered by lid close event.

And rpm versions of mate-power-manager or mate-screensaveer are the same as with f25.
https://koji.fedoraproject.org/koji/packageinfo?packageID=14897
https://koji.fedoraproject.org/koji/packageinfo?packageID=14910

So i suspect we have an issue with a more low level package like systemd or upower, related to specific hardware.
I noticed in another report an unannounced ABI breakage by upower with updating from 0.94 and 0.95.
https://bugzilla.redhat.com/show_bug.cgi?id=1476622
Please try dowgrade upower package.
Comment 3 Matthias Saou 2017-08-29 10:00:20 EDT
I have a very similar issue after upgrading to F26 : I go to "System" and "Lock Screen" explicitly. There I get my "Pop art squares" screensaver as expected. But if I then turn off my monitor and turn it back on (external 25" Dell DisplayPort, this is not a laptop), the screensaver is gone and access to my MATE desktop is available!

The mate-screensaver process is still running and I may lock the screen again. The thing is that just power cycling my computer's monitor opens up access to my running desktop.

I'm attaching the output of the following command when performing the steps above (lock, turn off, turn on) :
mate-screensaver --debug --no-daemon > mate-screensaver.log 2>&1
Comment 4 Matthias Saou 2017-08-29 10:01 EDT
Created attachment 1319547 [details]
mate-screensaver debug output
Comment 5 Fedora End Of Life 2018-05-03 04:06:57 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2018-05-29 08:26:52 EDT
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.